diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/test/inter-bss-test-suite.cc ns-3.43/src/wifi/test/inter-bss-test-suite.cc
--- ns-3.42/src/wifi/test/inter-bss-test-suite.cc	2024-05-29 15:29:47.216073800 -0700
+++ ns-3.43/src/wifi/test/inter-bss-test-suite.cc	2024-10-09 16:41:10.136656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sébastien Deronne <sebastien.deronne@gmail.com>
  *          Scott Carpenter <scarpenter44@windstream.net>
@@ -98,24 +87,24 @@
 
     /**
      * Allocate the node positions
-     * \param d1 distance d1 (in meters)
-     * \param d2 distance d2 (in meters)
-     * \param d3 distance d3 (in meters)
-     * \param d4 distance d4 (in meters)
-     * \param d5 distance d5 (in meters)
+     * \param d1 distance d1
+     * \param d2 distance d2
+     * \param d3 distance d3
+     * \param d4 distance d4
+     * \param d5 distance d5
      * \return the node positions
      */
-    Ptr<ListPositionAllocator> AllocatePositions(double d1,
-                                                 double d2,
-                                                 double d3,
-                                                 double d4,
-                                                 double d5);
+    Ptr<ListPositionAllocator> AllocatePositions(meter_u d1,
+                                                 meter_u d2,
+                                                 meter_u d3,
+                                                 meter_u d4,
+                                                 meter_u d5);
 
     /**
-     * Set the expected transmit power in dBm
-     * \param txPowerDbm the transmit power in dBm
+     * Set the expected transmit power
+     * \param txPower the transmit power
      */
-    void SetExpectedTxPower(double txPowerDbm);
+    void SetExpectedTxPower(dBm_u txPower);
 
     /**
      * Setup the simulation
@@ -202,10 +191,10 @@
     NetDeviceContainer m_staDevices; ///< STA devices
     NetDeviceContainer m_apDevices;  ///< AP devices
 
-    double m_txPowerDbm;         ///< configured transmit power in dBm
-    double m_obssPdLevelDbm;     ///< OBSS-PD level in dBm
-    double m_obssRxPowerDbm;     ///< forced RX power in dBm for OBSS
-    double m_expectedTxPowerDbm; ///< expected transmit power in dBm
+    dBm_u m_txPower;         ///< configured transmit power
+    dBm_u m_obssPdLevel;     ///< OBSS-PD level
+    dBm_u m_obssRxPower;     ///< forced RX power for OBSS
+    dBm_u m_expectedTxPower; ///< expected transmit power
 
     uint8_t m_bssColor1; ///< color for BSS 1
     uint8_t m_bssColor2; ///< color for BSS 2
@@ -227,10 +216,10 @@
       m_payloadSize1(1000),
       m_payloadSize2(1500),
       m_payloadSize3(2000),
-      m_txPowerDbm(15),
-      m_obssPdLevelDbm(-72),
-      m_obssRxPowerDbm(-82),
-      m_expectedTxPowerDbm(15),
+      m_txPower(15),
+      m_obssPdLevel(-72),
+      m_obssRxPower(-82),
+      m_expectedTxPower(15),
       m_bssColor1(1),
       m_bssColor2(2),
       m_bssColor3(3),
@@ -244,11 +233,11 @@
 }
 
 Ptr<ListPositionAllocator>
-TestInterBssConstantObssPdAlgo::AllocatePositions(double d1,
-                                                  double d2,
-                                                  double d3,
-                                                  double d4,
-                                                  double d5)
+TestInterBssConstantObssPdAlgo::AllocatePositions(meter_u d1,
+                                                  meter_u d2,
+                                                  meter_u d3,
+                                                  meter_u d4,
+                                                  meter_u d5)
 {
     Ptr<ListPositionAllocator> positionAlloc = CreateObject<ListPositionAllocator>();
     positionAlloc->Add(Vector(0.0, 0.0, 0.0));                    // AP1
@@ -271,7 +260,7 @@
     Ptr<WifiNetDevice> sta_device3 = DynamicCast<WifiNetDevice>(m_staDevices.Get(2));
 
     bool expectFilter = (m_bssColor1 != 0) && (m_bssColor2 != 0);
-    bool expectPhyReset = expectFilter && (m_obssPdLevelDbm >= m_obssRxPowerDbm);
+    bool expectPhyReset = expectFilter && (m_obssPdLevel >= m_obssRxPower);
     std::vector<WifiPhyRxfailureReason> dropReasons;
     WifiPhyState stateDuringPayloadNeighboringBss =
         expectFilter ? WifiPhyState::CCA_BUSY : WifiPhyState::RX;
@@ -435,7 +424,7 @@
     {
         // In this case, we check the TX power is restricted (and set the expected value slightly
         // before transmission should occur)
-        double expectedTxPower = std::min(m_txPowerDbm, 21 - (m_obssPdLevelDbm + 82));
+        const auto expectedTxPower = std::min(m_txPower, 21 - (m_obssPdLevel + 82));
         Simulator::Schedule(Seconds(2.1) + MicroSeconds(41),
                             &TestInterBssConstantObssPdAlgo::SetExpectedTxPower,
                             this,
@@ -484,7 +473,7 @@
     Simulator::Schedule(Seconds(2.2),
                         &TestInterBssConstantObssPdAlgo::SetExpectedTxPower,
                         this,
-                        m_txPowerDbm);
+                        m_txPower);
     Simulator::Schedule(Seconds(2.2),
                         &TestInterBssConstantObssPdAlgo::SendOnePacket,
                         this,
@@ -503,7 +492,7 @@
     {
         // In this case, we check the TX power is restricted (and set the expected value slightly
         // before transmission should occur)
-        double expectedTxPower = std::min(m_txPowerDbm, 21 - (m_obssPdLevelDbm + 82));
+        const auto expectedTxPower = std::min(m_txPower, 21 - (m_obssPdLevel + 82));
         Simulator::Schedule(Seconds(2.2) + MicroSeconds(89),
                             &TestInterBssConstantObssPdAlgo::SetExpectedTxPower,
                             this,
@@ -552,7 +541,7 @@
     Simulator::Schedule(Seconds(2.3),
                         &TestInterBssConstantObssPdAlgo::SetExpectedTxPower,
                         this,
-                        m_txPowerDbm);
+                        m_txPower);
     // AP2 sends another packet 0.1s later. Power restriction should not be applied.
     Simulator::Schedule(Seconds(2.3),
                         &TestInterBssConstantObssPdAlgo::SendOnePacket,
@@ -606,7 +595,7 @@
     {
         // In this case, we check the TX power is restricted (and set the expected value slightly
         // before transmission should occur)
-        double expectedTxPower = std::min(m_txPowerDbm, 21 - (m_obssPdLevelDbm + 82));
+        const auto expectedTxPower = std::min(m_txPower, 21 - (m_obssPdLevel + 82));
         Simulator::Schedule(Seconds(2.5) + MicroSeconds(338),
                             &TestInterBssConstantObssPdAlgo::SetExpectedTxPower,
                             this,
@@ -628,7 +617,7 @@
     m_numAp1PacketsReceived = 0;
     m_numAp2PacketsReceived = 0;
     ClearDropReasons();
-    m_expectedTxPowerDbm = m_txPowerDbm;
+    m_expectedTxPower = m_txPower;
 }
 
 void
@@ -679,28 +668,28 @@
     if ((idx == 0) && ((pktSize == m_payloadSize1) || (pktSize == (m_payloadSize1 / 10))))
     {
         m_numSta1PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPowerDbm, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
     else if ((idx == 1) && ((pktSize == m_payloadSize2) || (pktSize == (m_payloadSize2 / 10))))
     {
         m_numSta2PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPowerDbm, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
     else if ((idx == 3) && ((pktSize == m_payloadSize1) || (pktSize == (m_payloadSize1 / 10))))
     {
         m_numAp1PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPowerDbm, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
     else if ((idx == 4) && ((pktSize == m_payloadSize2) || (pktSize == (m_payloadSize2 / 10))))
     {
         m_numAp2PacketsSent++;
-        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPowerDbm, 1e-12),
+        NS_TEST_EXPECT_MSG_EQ(TestDoubleIsEqual(WToDbm(txPowerW), m_expectedTxPower, 1e-12),
                               true,
                               "Tx power is not correct!");
     }
@@ -764,9 +753,9 @@
 }
 
 void
-TestInterBssConstantObssPdAlgo::SetExpectedTxPower(double txPowerDbm)
+TestInterBssConstantObssPdAlgo::SetExpectedTxPower(dBm_u txPower)
 {
-    m_expectedTxPowerDbm = txPowerDbm;
+    m_expectedTxPower = txPower;
 }
 
 void
@@ -843,8 +832,8 @@
     wifiApNodes.Create(3);
 
     Ptr<MatrixPropagationLossModel> lossModel = CreateObject<MatrixPropagationLossModel>();
-    lossModel->SetDefaultLoss(
-        m_txPowerDbm - m_obssRxPowerDbm); // Force received RSSI to be equal to m_obssRxPowerDbm
+    lossModel->SetDefaultLoss(m_txPower -
+                              m_obssRxPower); // Force received RSSI to be equal to m_obssRxPower
 
     SpectrumWifiPhyHelper phy;
     phy.DisablePreambleDetectionModel();
@@ -853,8 +842,8 @@
     channel->SetPropagationDelayModel(CreateObject<ConstantSpeedPropagationDelayModel>());
     channel->AddPropagationLossModel(lossModel);
     phy.SetChannel(channel);
-    phy.Set("TxPowerStart", DoubleValue(m_txPowerDbm));
-    phy.Set("TxPowerEnd", DoubleValue(m_txPowerDbm));
+    phy.Set("TxPowerStart", DoubleValue(m_txPower));
+    phy.Set("TxPowerEnd", DoubleValue(m_txPower));
     phy.Set("ChannelSettings", StringValue("{36, 20, BAND_5GHZ, 0}"));
 
     WifiHelper wifi;
@@ -867,7 +856,7 @@
 
     wifi.SetObssPdAlgorithm("ns3::ConstantObssPdAlgorithm",
                             "ObssPdLevel",
-                            DoubleValue(m_obssPdLevelDbm));
+                            DoubleValue(m_obssPdLevel));
 
     WifiMacHelper mac;
     Ssid ssid = Ssid("ns-3-ssid");
@@ -875,13 +864,13 @@
     m_staDevices = wifi.Install(phy, mac, wifiStaNodes);
 
     // Assign fixed streams to random variables in use
-    wifi.AssignStreams(m_staDevices, streamNumber);
+    WifiHelper::AssignStreams(m_staDevices, streamNumber);
 
     mac.SetType("ns3::ApWifiMac", "Ssid", SsidValue(ssid));
     m_apDevices = wifi.Install(phy, mac, wifiApNodes);
 
     // Assign fixed streams to random variables in use
-    wifi.AssignStreams(m_apDevices, streamNumber);
+    WifiHelper::AssignStreams(m_apDevices, streamNumber);
 
     for (uint32_t i = 0; i < m_apDevices.GetN(); i++)
     {
@@ -915,13 +904,16 @@
 
     lossModel->SetLoss(wifiStaNodes.Get(0)->GetObject<MobilityModel>(),
                        wifiApNodes.Get(0)->GetObject<MobilityModel>(),
-                       m_txPowerDbm + 30); // Low attenuation for IBSS transmissions
+                       m_txPower +
+                           static_cast<dB_u>(30.0)); // Low attenuation for IBSS transmissions
     lossModel->SetLoss(wifiStaNodes.Get(1)->GetObject<MobilityModel>(),
                        wifiApNodes.Get(1)->GetObject<MobilityModel>(),
-                       m_txPowerDbm + 30); // Low attenuation for IBSS transmissions
+                       m_txPower +
+                           static_cast<dB_u>(30.0)); // Low attenuation for IBSS transmissions
     lossModel->SetLoss(wifiStaNodes.Get(2)->GetObject<MobilityModel>(),
                        wifiApNodes.Get(2)->GetObject<MobilityModel>(),
-                       m_txPowerDbm + 30); // Low attenuation for IBSS transmissions
+                       m_txPower +
+                           static_cast<dB_u>(30.0)); // Low attenuation for IBSS transmissions
 
     Config::Connect("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/PhyTxBegin",
                     MakeCallback(&TestInterBssConstantObssPdAlgo::NotifyPhyTxBegin, this));
@@ -941,42 +933,42 @@
 void
 TestInterBssConstantObssPdAlgo::DoRun()
 {
-    // Test case 1: CCA CS Threshold = m_obssRxPowerDbm < m_obssPdLevelDbm
-    m_obssPdLevelDbm = -72;
-    m_obssRxPowerDbm = -82;
+    // Test case 1: CCA CS Threshold = m_obssRxPower < m_obssPdLevel
+    m_obssPdLevel = -72;
+    m_obssRxPower = -82;
     m_bssColor1 = 1;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
     RunOne();
 
-    // Test case 2: CCA CS Threshold < m_obssPdLevelDbm < m_obssRxPowerDbm
-    m_obssPdLevelDbm = -72;
-    m_obssRxPowerDbm = -62;
+    // Test case 2: CCA CS Threshold < m_obssPdLevel < m_obssRxPower
+    m_obssPdLevel = -72;
+    m_obssRxPower = -62;
     m_bssColor1 = 1;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
     RunOne();
 
-    // Test case 3: CCA CS Threshold < m_obssPdLevelDbm = m_obssRxPowerDbm
-    m_obssPdLevelDbm = -72;
-    m_obssRxPowerDbm = -72;
+    // Test case 3: CCA CS Threshold < m_obssPdLevel = m_obssRxPower
+    m_obssPdLevel = -72;
+    m_obssRxPower = -72;
     m_bssColor1 = 1;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
     RunOne();
 
-    // Test case 4: CCA CS Threshold = m_obssRxPowerDbm < m_obssPdLevelDbm with BSS color 2 and 3
+    // Test case 4: CCA CS Threshold = m_obssRxPower < m_obssPdLevel with BSS color 2 and 3
     // set to 0
-    m_obssPdLevelDbm = -72;
-    m_obssRxPowerDbm = -82;
+    m_obssPdLevel = -72;
+    m_obssRxPower = -82;
     m_bssColor1 = 1;
     m_bssColor2 = 0;
     m_bssColor3 = 0;
     RunOne();
 
-    // Test case 5: CCA CS Threshold = m_obssRxPowerDbm < m_obssPdLevelDbm with BSS color 1 set to 0
-    m_obssPdLevelDbm = -72;
-    m_obssRxPowerDbm = -82;
+    // Test case 5: CCA CS Threshold = m_obssRxPower < m_obssPdLevel with BSS color 1 set to 0
+    m_obssPdLevel = -72;
+    m_obssRxPower = -82;
     m_bssColor1 = 0;
     m_bssColor2 = 2;
     m_bssColor3 = 3;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/test/power-rate-adaptation-test.cc ns-3.43/src/wifi/test/power-rate-adaptation-test.cc
--- ns-3.42/src/wifi/test/power-rate-adaptation-test.cc	2024-05-29 15:29:47.216073800 -0700
+++ ns-3.43/src/wifi/test/power-rate-adaptation-test.cc	2024-10-09 16:41:10.136656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universidad de la República - Uruguay
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Matías Richart <mrichart@fing.edu.uy>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/test/power-save-test.cc ns-3.43/src/wifi/test/power-save-test.cc
--- ns-3.42/src/wifi/test/power-save-test.cc	2024-05-29 15:29:47.216073800 -0700
+++ ns-3.43/src/wifi/test/power-save-test.cc	2024-10-09 16:41:10.136656800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Davide Magrin <davide@magr.in>
  */
